var builder = DistributedApplication.CreateBuilder(args);

var cache = builder.AddRedis("cache");

var postgres = builder.AddPostgres("postgres").WithPgAdmin();
var postgresdb = postgres.AddDatabase("prod");
var apiService = builder.AddProject<Projects.HackathonPreparing_ApiService>("apiservice").WithReference(postgresdb);

builder.AddProject<Projects.HackathonPreparing_Web>("webfrontend")
    .WithExternalHttpEndpoints()
    .WithReference(cache)
    .WithReference(apiService);

builder.Build().Run();